import { ChangeDetectorRef, EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { StoreBuilderService } from '../../services/store-builder.service';
import * as i0 from "@angular/core";
export declare class CustomSelectComponent implements OnChanges, OnInit {
    private cd;
    private authService;
    onClick(event: MouseEvent): void;
    items: any;
    searchField: string;
    multi: boolean;
    idField: string;
    selectedValues: any;
    disabled: boolean | undefined;
    label: string;
    selected: EventEmitter<any>;
    filteredValues: any;
    showDropdown: boolean;
    searchValue: string;
    instanceId: any;
    constructor(cd: ChangeDetectorRef, authService: StoreBuilderService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    initializeItems(): void;
    updateSelectedValues(): void;
    openDropdown(event: any): void;
    onInput(event: any): void;
    onSelect(event: any, item: any): void;
    onSelectAll(event: any): void;
    emitSelectedValues(values: any[]): void;
    checkIfAllSelected(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomSelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomSelectComponent, "lib-select-plano", never, { "items": { "alias": "items"; "required": false; }; "searchField": { "alias": "searchField"; "required": false; }; "multi": { "alias": "multi"; "required": false; }; "idField": { "alias": "idField"; "required": false; }; "selectedValues": { "alias": "selectedValues"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "label": { "alias": "label"; "required": false; }; }, { "selected": "selected"; }, never, never, false, never>;
}
