import { OnDestroy, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { Subscription } from 'rxjs';
import { PageInfoService } from 'tango-app-ui-global';
import * as i0 from "@angular/core";
export declare class LayoutBuilderComponent implements OnInit, OnDestroy {
    private router;
    private pageInfo;
    currentRoute: string;
    routerSub: Subscription;
    type: 'create' | 'summary';
    constructor(router: Router, pageInfo: PageInfoService);
    ngOnDestroy(): void;
    ngOnInit(): void;
    setPageData(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LayoutBuilderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LayoutBuilderComponent, "lib-layout-builder", never, {}, {}, never, never, false, never>;
}
