import { ChangeDetectorRef, ElementRef, OnDestroy, OnInit } from '@angular/core';
import { NgbActiveOffcanvas } from '@ng-bootstrap/ng-bootstrap';
import { StoreBuilderService } from '../../services/store-builder.service';
import { ToastService } from 'tango-app-ui-shared';
import * as i0 from "@angular/core";
export declare class StoreOffcanvasComponentComponent implements OnInit, OnDestroy {
    private builderService;
    private toast;
    private cd;
    activeOffcanvas: NgbActiveOffcanvas;
    store: any;
    id: any;
    clientId: string;
    private destroy$;
    fileInput: ElementRef;
    dayjs: any;
    storeDetails: any;
    constructor(builderService: StoreBuilderService, toast: ToastService, cd: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    timeFormat(time: string): any;
    onFileUpload(event: any): void;
    deleteFile(index: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StoreOffcanvasComponentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StoreOffcanvasComponentComponent, "lib-store-offcanvas-component", never, { "store": { "alias": "store"; "required": false; }; "id": { "alias": "id"; "required": false; }; "clientId": { "alias": "clientId"; "required": false; }; }, {}, never, never, false, never>;
}
