import { HttpClient } from '@angular/common/http';
import { OnDestroy } from '@angular/core';
import { GlobalStateService } from 'tango-app-ui-global';
import { BehaviorSubject, Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class StoreBuilderService implements OnDestroy {
    private http;
    private gs;
    storeBuilderUrl: string;
    storeUrl: string;
    private readonly destroy$;
    dropDownTrigger: BehaviorSubject<null>;
    constructor(http: HttpClient, gs: GlobalStateService);
    exportAsExcelFile(json: any[], excelFileName: string): void;
    saveAsExcelFile(buffer: any, fileName: string): void;
    saveAsTemplate(buffer: any, fileName: string): void;
    ngOnDestroy(): void;
    layoutList(data: any): Observable<Object>;
    getStoreList(data: any): Observable<Object>;
    createLayout(data: any): Observable<Object>;
    BulkUpload(data: any): Observable<Object>;
    getPlano(data: any): Observable<Object>;
    deleteFloor(data: any): Observable<Object>;
    addFloor(data: any): Observable<Object>;
    updateFloorLayout(data: any): Observable<Object>;
    getStoreDetails(data: any): Observable<Object>;
    uploadFile(data: any): Observable<Object>;
    deleteFile(data: any): Observable<Object>;
    updatePlanoStatus(data: any): Observable<Object>;
    deleteLayout(data: any): Observable<Object>;
    static ɵfac: i0.ɵɵFactoryDeclaration<StoreBuilderService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StoreBuilderService>;
}
