import { ChangeDetectorRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class ReactiveSelectComponent implements ControlValueAccessor {
    private cd;
    private onTouched;
    private onChanged;
    protected isDisabled: boolean;
    idField: string;
    nameField: string;
    label: string;
    data: any;
    protected isOpened: boolean;
    protected selected: Record<string, any> | null;
    protected selectedId: string | number;
    constructor(cd: ChangeDetectorRef);
    writeValue(val: string | number): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    onSelect(item: Record<string, any>): void;
    onClick(event: MouseEvent): void;
    isComponentClicked(targetElement: HTMLElement): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ReactiveSelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ReactiveSelectComponent, "lib-reactive-select", never, { "idField": { "alias": "idField"; "required": false; }; "nameField": { "alias": "nameField"; "required": false; }; "label": { "alias": "label"; "required": false; }; "data": { "alias": "data"; "required": false; }; }, {}, never, never, false, never>;
}
